unit PointsListDlg;

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, ComCtrls, Buttons, {$IFDEF FPC}MaskEdit{$ELSE}Mask{$ENDIF};

type
  { TPointsListDlgForm }

  TPointsListDlgForm = class(TForm)
    AltAbsEdit: TEdit;
    AltAbsLbl: TLabel;
    AltRelEdit: TEdit;
    AltRelLbl: TLabel;
    DeleteRoutePntBtn: TButton;
    EditRoutePntBtn: TButton;
    HemiSpereEBtn: TSpeedButton;
    HemiSpereNBtn: TSpeedButton;
    HemiSpereSBtn: TSpeedButton;
    HemiSpereWBtn: TSpeedButton;
    LatDegEdit: TEdit;
    LatLbl: TLabel;
    LngDegEdit: TEdit;
    LngLbl: TLabel;
    ManeuvreComBox: TComboBox;
    ManeuvreHeadingEdit: TEdit;
    ManeuvreHeadingLbl: TLabel;
    ManeuvreInPntChckBox: TCheckBox;
    ManeuvreLenEdit: TEdit;
    ManeuvreLengthUnitsLbl: TLabel;
    ManeuvreLenLbl: TLabel;
    ManeuvreWidthEdit: TEdit;
    ManeuvreWidthLbl: TLabel;
    ManeuvreWidthUnitsLbl: TLabel;
    Pnt1PanelDefPos: TPanel;
    PntNumLbl: TLabel;
    SpeedEdit: TEdit;

    Splitter1: TSplitter;



    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);

  private
    { private declarations }

  public
    { public declarations }
  end;

var
  PointsListDlgForm: TPointsListDlgForm;

implementation

uses
  Math, LCLType;

{$IFDEF FPC}
  {$R *.lfm}
{$ELSE}
  {$R *.dfm}
{$ENDIF}

{ TPointsListDlgForm }

procedure TPointsListDlgForm.FormCreate(Sender: TObject);
begin
  FormStyle := fsStayOnTop;
end;

procedure TPointsListDlgForm.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var
  i, ic: integer;
begin
  if Key = VK_TAB then begin
    ic := ComponentCount - 1;
    for i := 0 to ic do
      if (Components[i] is TWinControl) and TWinControl(Components[i]).Focused then begin
       Caption:= Components[i].Name;
       Break;
      end;
  end;
end;

end.


